Bug 1605754 - python-llfuse: FTBFS in Fedora rawhide
Summary: python-llfuse: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-llfuse
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F29FTBFS F29BetaFreezeException PYTHON37 1603511
TreeView+ depends on / blocked
 
Reported: 2018-07-20 16:50 UTC by Mohan Boddu
Modified: 2018-09-15 23:08 UTC (History)
7 users (show)

Fixed In Version: python-llfuse-1.3.5-1.fc28 python-llfuse-1.3.5-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-15 23:08:48 UTC


Attachments (Terms of Use)
build.log (4.01 KB, text/plain)
2018-07-20 16:50 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 16:50 UTC, Mohan Boddu
no flags Details
state.log (643 bytes, text/plain)
2018-07-20 16:50 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 16:50:05 UTC
python-llfuse failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28222653


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-llfuse at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-llfuse will be orphaned. Before branching of Fedora 30,
python-llfuse will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 16:50:13 UTC
Created attachment 1466374 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 16:50:18 UTC
Created attachment 1466375 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 16:50:21 UTC
Created attachment 1466376 [details]
state.log

Comment 4 Miro Hrončok 2018-07-25 09:25:51 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 5 Denis Fateyev 2018-07-25 09:37:05 UTC
Thanks, I will try to clear the details with upstream.

Comment 6 Miro Hrončok 2018-08-04 23:39:07 UTC
A link for upstream issue/etc would be appreciated. Thanks

Comment 7 Denis Fateyev 2018-08-05 10:41:00 UTC
https://github.com/python-llfuse/python-llfuse/issues/17
https://github.com/python-llfuse/python-llfuse/issues/18

In brief, build issues we faced were fixed in the recent snapshot.
The next stable release is scheduled on Aug 24.

Comment 8 Miro Hrončok 2018-08-05 10:43:54 UTC
Thanks.

I encourage you to apply https://github.com/python-llfuse/python-llfuse/commit/5fc47e3eb006d2111e01f9be68bce4be5d25e903 in spec and rebuild with cython in spec to unblock borgbackup sooner than Aug 24.

Comment 9 Miro Hrončok 2018-08-12 20:52:12 UTC
Please?

Comment 10 Denis Fateyev 2018-08-13 08:18:14 UTC
Miro, sorry for the delay. It's a bit busy time for me right now, I will try to fix it within next several days.

Comment 11 Jan Kurik 2018-08-14 11:10:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 12 Denis Fateyev 2018-08-15 16:08:49 UTC
Newer Cython is broken in Rawhide, or there is another incompatibility in place: https://koji.fedoraproject.org/koji/taskinfo?taskID=29090750 (build fails for some arches).
Created https://github.com/python-llfuse/python-llfuse/issues/19

Comment 13 Christophe Fergeau 2018-08-30 11:00:51 UTC
Filed a PR against python-llfuse which fixes the build:
https://src.fedoraproject.org/rpms/python-llfuse/pull-request/3
https://koji.fedoraproject.org/koji/taskinfo?taskID=29376978

Comment 14 Miro Hrončok 2018-08-30 11:11:10 UTC
Note that python-llfuse RPM package does not currently use Cython at all, but it uses precompiled C sources form upstream.

When I force recythonization, I'll get:

src/llfuse.c: In function '__pyx_f_6llfuse_fuse_setxattr':
src/llfuse.c:22793:60: error: 'ENOATTR' undeclared (first use in this function); did you mean 'ENOTTY'?
                           __pyx_t_8 = __Pyx_PyInt_From_int(ENOATTR); if (unlikely(!__pyx_t_8)) __PYX_ERR(1, 582, __pyx_L63_error)
                                                            ^~~~~~~
                                                            ENOTTY

Comment 15 Miro Hrončok 2018-08-30 11:20:37 UTC
That one is sorted by one of the patches from https://src.fedoraproject.org/rpms/python-llfuse/pull-request/3

It might be a good idea to force recythonization:


+BuildRequires:      python%{python3_pkgversion}-Cython
...


 %build
+rm src/llfuse.c
+%{__python3} setup.py build_cython
 %py2_build
 %py3_build

Comment 16 Denis Fateyev 2018-08-31 03:01:30 UTC
Cythonization in Rawhide doesn't work due to a Cython bug in Rawhide.
Anyway, we have good news: a new version has been released, so we don't need source recythonization for now.

Comment 17 Fedora Update System 2018-08-31 03:29:31 UTC
python-llfuse-1.3.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ffd0bce893

Comment 18 Fedora Update System 2018-08-31 03:29:43 UTC
python-llfuse-1.3.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d5d84bb94

Comment 19 Fedora Update System 2018-08-31 16:22:49 UTC
python-llfuse-1.3.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ffd0bce893

Comment 20 Fedora Update System 2018-08-31 22:27:28 UTC
python-llfuse-1.3.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6d5d84bb94

Comment 21 Fedora Blocker Bugs Application 2018-09-07 10:20:14 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user churchyard using the blocker tracking app because:

 Old version blocks update to Fedora 29, requires Python 3.6.

Comment 22 Adam Williamson 2018-09-10 23:28:44 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html . Accepted (under the block vote at the end of the meeting) as a freeze exception issue as this can prevent upgrades working without the potentially-dangerous --allowerasing , and upgrades typically run without updates-testing so there is a benefit to pushing this stable for folks trying to upgrade at present.

Comment 23 Fedora Update System 2018-09-11 16:51:50 UTC
python-llfuse-1.3.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Christophe Fergeau 2018-09-15 08:58:07 UTC
So this got closed because this was pushed to f28, but it's still not present in f29 updates thus blocking f28->f29 upgrades. comment #22 says this was accepted as a freeze exception, but I don't know when it's supposed to be landing in f29 stable?

Comment 25 Fedora Update System 2018-09-15 23:08:48 UTC
python-llfuse-1.3.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.